This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 771953 - Exclude GWT debugging artifacts under jboss-brms.war/WEB-INF/deploy
Exclude GWT debugging artifacts under jboss-brms.war/WEB-INF/deploy
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity medium
: ---
: BRMS 5.3.0.GA
Assigned To: Geoffrey De Smet
Jiri Locker
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-05 09:14 EST by Jiri Locker
Modified: 2012-05-09 20:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GUVNOR-1471 Major Resolved What's the big directory WEB-INF/deploy in the guvnor wars? 2014-02-13 17:05:56 EST

  None (edit)
Description Jiri Locker 2012-01-05 09:14:36 EST
Description of problem:
As I understand it these are not intended for production life of the web-app and there is no use of them for customers. Moreover they take 308 MB of the 432 MB WAR.

Version-Release number of selected component (if applicable):
ER1

Additional info:
see https://issues.jboss.org/browse/GUVNOR-1471.
Comment 1 Lukáš Petrovický 2012-01-05 09:24:05 EST
Also please note that due to this huge size of the WAR file, the server takes over one minute more time to start.
Comment 4 Geoffrey De Smet 2012-01-05 11:05:54 EST
Fixed, on master and on 5.3.x.

Here's the 5.3.x changes:
https://github.com/droolsjbpm/guvnor/commit/632e2d9442b46f00e33161db6848713e7fc2f69f
Comment 5 Ryan Zhang 2012-01-08 03:28:13 EST
This will be picked to 5.3 ER2 release.
Change status to ON_QA

Note You need to log in before you can comment on or make changes to this bug.